package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ActivityClientPermPO;
import mhp.oee.po.gen.ActivityClientPermPOExample;

public interface ActivityClientPermPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    int countByExample(ActivityClientPermPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    int deleteByExample(ActivityClientPermPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    int insert(ActivityClientPermPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    int insertSelective(ActivityClientPermPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    List<ActivityClientPermPO> selectByExample(ActivityClientPermPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    ActivityClientPermPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ActivityClientPermPO record, @Param("example") ActivityClientPermPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ActivityClientPermPO record, @Param("example") ActivityClientPermPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ActivityClientPermPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_client_perm
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ActivityClientPermPO record);
}